## org.eclipse.jst.pagedesigner.editors.properties.quickedittabsections
Interface QuickEditTabSectionsPackage

    public interface QuickEditTabSectionsPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `QuickEditTabSectionsFactory`

Nested Class Summary
`static interface` `QuickEditTabSectionsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static java.lang.String` `copyright`
`static QuickEditTabSectionsPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `QUICK_EDIT_TAB_SECTIONS` The meta object id for the '`Quick Edit Tab Sections`' class
`static int` `QUICK_EDIT_TAB_SECTIONS__SECTIONS` The feature id for the 'Sections' containment reference list
`static int` `QUICK_EDIT_TAB_SECTIONS_FEATURE_COUNT` The number of structural features of the 'Quick Edit Tab Sections' class
`static int` `SECTION_INFO` The meta object id for the '`Section Info`' class
`static int` `SECTION_INFO__ID` The feature id for the 'Id' attribute
`static int` `SECTION_INFO__TYPE` The feature id for the 'Type' attribute
`static int` `SECTION_INFO_FEATURE_COUNT` The number of structural features of the 'Section Info' class
`static int` `SECTION_TYPE` The meta object id for the '`SECTION TYPE`' enum

Method Summary
`EReference` `getQuickEditTabSections_Sections()` Returns the meta object for the containment reference list '`Sections`'
`EClass` `getQuickEditTabSections()` Returns the meta object for class '`Quick Edit Tab Sections`'
`QuickEditTabSectionsFactory` `getQuickEditTabSectionsFactory()` Returns the factory that creates the instances of the model
`EEnum` `getSECTION_TYPE()` Returns the meta object for enum '`SECTION TYPE`'
`EAttribute` `getSectionInfo_Id()` Returns the meta object for the attribute '`Id`'
`EAttribute` `getSectionInfo_Type()` Returns the meta object for the attribute '`Type`'
`EClass` `getSectionInfo()` Returns the meta object for class '`Section Info`'

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final QuickEditTabSectionsPackage eINSTANCE

  The singleton instance of the package.

### QUICK_EDIT_TAB_SECTIONS

    static final int QUICK_EDIT_TAB_SECTIONS

  The meta object id for the '`Quick Edit Tab Sections`' class.

  See Also:
    `QuickEditTabSectionsImpl`, `QuickEditTabSectionsPackageImpl.getQuickEditTabSections()`, Constant Field Values

### QUICK_EDIT_TAB_SECTIONS__SECTIONS

    static final int QUICK_EDIT_TAB_SECTIONS__SECTIONS

  The feature id for the 'Sections' containment reference list.

  See Also:
    Constant Field Values

### QUICK_EDIT_TAB_SECTIONS_FEATURE_COUNT

    static final int QUICK_EDIT_TAB_SECTIONS_FEATURE_COUNT

  The number of structural features of the 'Quick Edit Tab Sections' class.

  See Also:
    Constant Field Values

### SECTION_INFO

    static final int SECTION_INFO

  The meta object id for the '`Section Info`' class.

  See Also:
    `SectionInfoImpl`, `QuickEditTabSectionsPackageImpl.getSectionInfo()`, Constant Field Values

### SECTION_INFO__ID

    static final int SECTION_INFO__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values

### SECTION_INFO__TYPE

    static final int SECTION_INFO__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### SECTION_INFO_FEATURE_COUNT

    static final int SECTION_INFO_FEATURE_COUNT

  The number of structural features of the 'Section Info' class.

  See Also:
    Constant Field Values

### SECTION_TYPE

    static final int SECTION_TYPE

  The meta object id for the '`SECTION TYPE`' enum.

  See Also:
    `SECTION_TYPE`, `QuickEditTabSectionsPackageImpl.getSECTION_TYPE()`, Constant Field Values

Method Detail

### getQuickEditTabSections

    EClass getQuickEditTabSections()

  Returns the meta object for class '`Quick Edit Tab Sections`'.

  Returns:
    the meta object for class 'Quick Edit Tab Sections'.
  See Also:
    `QuickEditTabSections`

### getQuickEditTabSections_Sections

    EReference getQuickEditTabSections_Sections()

  Returns the meta object for the containment reference list '`Sections`'.

  Returns:
    the meta object for the containment reference list 'Sections'.
  See Also:
    `QuickEditTabSections.getSections()`, `getQuickEditTabSections()`

### getSectionInfo

    EClass getSectionInfo()

  Returns the meta object for class '`Section Info`'.

  Returns:
    the meta object for class 'Section Info'.
  See Also:
    `SectionInfo`

### getSectionInfo_Id

    EAttribute getSectionInfo_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `SectionInfo.getId()`, `getSectionInfo()`

### getSectionInfo_Type

    EAttribute getSectionInfo_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `SectionInfo.getType()`, `getSectionInfo()`

### getSECTION_TYPE

    EEnum getSECTION_TYPE()

  Returns the meta object for enum '`SECTION TYPE`'.

  Returns:
    the meta object for enum 'SECTION TYPE'.
  See Also:
    `SECTION_TYPE`

### getQuickEditTabSectionsFactory

    QuickEditTabSectionsFactory getQuickEditTabSectionsFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.